
# Bára Čmelová

## Introduction
Basic implementation of Etnetera Mobile Academy 2021 - Android (EMA) application.
Application provides an access to list of participants of EMA 2021 to users with valid credentials.
For testing purposes, user can use the testing credentials, which can be accessed by clicking on Etnetera logo on login screen.
Each participant has his own profile, which can be accessed by click on user in UserListFragment, and can be marked and saved as favourite. User can also edit his own skills.


## Description
LoginActivity: Activity with login form (username, password).
UserListFragment: Fragment with list of participants of EMA 2021. Participants can be filtered based on studied platform (Android/iOS).
UserProfileFragment: Fragment with detailed information about the participant (email, Slack, LinkedIn, profile picture, name, platform, skills (Android, Kotlin, iOS, Swift) on scale 0-10, homework (state: pushed, review, merged)).
ErrorFragment: Landing page in case of errors. On click of a button returns user to UserListFragment.
EditFragment: Fragment with 4 seek bars to edit users skills in Android, iOS, Kotlin and Swift.

Database: Database of participants saved as favourite.


## Tools and libraries
- Room: database access
- Retrofit: HTTP Client
- OkHttp
- Glide: image loading (user icons)
- Hilt: used for dependency injections of Shared Preferences
- LiveData (mutable, immutable): fetching and observing data from API endpoints

## Special effects and tools
- Push down effect for buttons: com.github.thekhaeng:pushdown-anim-click:1.1.1
- BubbleSeekBar: https://github.com/woxingxiao/BubbleSeekBar

## Image resources:
https://www.flaticon.com/
https://www.iconfinder.com/
